/* vim: set tabstop=4 shiftwidth=4 softtabstop=4: */
/*
 * Copyright 2007 the original author or authors.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * 	http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package jp.sourceforge.metasearch.compass;

/**
 * Index Read Failed Exception
 *
 * @author Yomei Komiya
 *
 * @since 0.9.2
 * @version $Id: IndexReadFailedException.java 5 2007-06-28 13:28:30Z whitestar $
 */
public class IndexReadFailedException extends Exception {
	
	/**
	 * Serial Version UID
	 */
	private static final long serialVersionUID = -2947502876771921392L;


	public IndexReadFailedException() {
		super();
	}

	
	public IndexReadFailedException(String message) {
		super(message);
	}

	
	public IndexReadFailedException(String message, Throwable cause) {
		super(message, cause);
	}

	
	public IndexReadFailedException(Throwable cause) {
		super(cause);
	}

}
