/* vim: set tabstop=4 shiftwidth=4 softtabstop=4: */
/*
 * Copyright 2007 the original author or authors.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * 	http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package jp.sourceforge.metasearch.compass.entity;

import java.net.URLEncoder;

import org.apache.commons.lang.StringUtils;

/**
 * TracWikiBean
 *
 * @author Yomei Komiya
 * @since 0.9.2
 *
 * @version $Id: TracWikiBean.java 5 2007-06-28 13:28:30Z whitestar $
 */
abstract public class TracWikiBean extends SearchableGenericEntity {
	
	private static final String tracWikiCharset = "UTF-8";
	
	private static final String tracWikiNameSeparator = "/";
	
	
	public void buildIdentifier() {
		// http://hostname/context/wiki/<URL encoded page name>
		try {
			String[] pageElements = StringUtils.split(
					this.getLocalIdentifier(), tracWikiNameSeparator);
			for (int i = 0; i < pageElements.length; i++) {
				pageElements[i] = URLEncoder.encode(pageElements[i], tracWikiCharset);
			}
			
			this.setIdentifier(
				this.getResourceContext()
				+ StringUtils.join(pageElements, tracWikiNameSeparator));
		}
		catch (Exception e) {
			this.setIdentifier(null);
			e.printStackTrace();
		}
	}

}
